@import url("/src/styles.css");

iframe {
    height:1200px;
    width:100%;
    border-radius: 15px;
}

.api-example {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 150px;

}

.terminal {
    position: relative;
    width: 80%;
    border-radius: 6px;
    padding-top: 45px;
    margin-top: 8px;
    overflow: hidden;
    background-color: rgb(15, 15, 16);
    
}

.terminal::before {
    content: "\2022 \2022 \2022";
    position: absolute;
    top: 0;
    left: 0;
    height: 4px;
    background: rgb(58, 58, 58);
    color: #c2c3c4;
    width: 100%;
    font-size: 2rem;
    line-height: 0;
    padding: 14px 0;
    text-indent: 4px;
    
}

.terminal pre {
    font-family: SFMono-Regular, Consolas, Liberation Mono, Menlo, monospace;
    color: white;
    padding: 0 1rem 1rem;
    margin: 0;
    word-break: break-all;
    word-wrap: break-word;
    overflow-wrap: anywhere;
}


.card svg.material-icons path {
    fill: #888;
}

.card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 16px;
    margin-bottom: 16px;
    max-width: 950px;
}

.card {
    all: unset;
    border-radius: 4px;
    border: 1px solid #eee;
    background-color: #fafafa;
    height: 200px;
    width: 200px;
    margin: 0 8px 16px;
    padding: 12px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    transition: all 0.2s ease-in-out;
    font-size: 18px;
    text-align: center;
}

.card.card-small {
    height: 40px;
    width: 200px;
}

.card-container .card:not(.highlight-card) {
    cursor: pointer;
}

.card-container .card:not(.highlight-card):hover {
    transform: translateY(-3px);
    box-shadow: 0 4px 17px rgba(0, 0, 0, 0.35);
}

.card-container .card:not(.highlight-card):hover .material-icons path {
    fill: rgb(105, 103, 103);
}

.card.highlight-card {
    background-color: #1976d2;
    color: white;
    font-weight: 600;
    border: none;
    width: auto;
    min-width: 30%;
    position: relative;
}

.card.card.highlight-card span {
    margin-left: 60px;
}


/* Responsive Styles */
@media screen and (max-width: 550px) {

    .card-container>*:not(.circle-link),
    .terminal {
        width: 100%;
        font-size: 20px;
    }

    .card.highlight-card span {
        margin-left: 72px;

    }

}
